#!/bin/bash

TEXTTITLE=$(printf "\t\t(Un)Repair Cafe")
TEXTSUBTITLE="eWaste Walk"
TEXTDATE=$(printf "30/01\n1730")
TEXTLOCATION="CATU"
TEXTLOCATIONLONG=$(printf "CATU\nCatullusweg 11")
DESCRIPTION=$(printf "Let's look for eWaste in and around Rotterdam Lombardijen")


# Create the image with text overlays
convert assets/landscape_2.jpg \
  -gamma 1  +level 0,1000 -white-threshold 999 \
  -font /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Light.otf \
  -wave -20x4 \
  -weight 900 \
  -fill white \
  \( -pointsize 200 -draw "rotate -19 gravity northwest text -150,1200 '$TEXTTITLE'" \) \
  \( -pointsize 100 -draw "rotate -19 gravity northwest text -220, 1820 '$TEXTSUBTITLE'" \) \
  \( -pointsize 100 -draw "gravity southeast text 400,950 '$TEXTDATE'" \) \
  \( -pointsize 250 -draw "gravity southeast text 400,400 '$TEXTLOCATION'" \) \
  -wave -2x0 \
  output_landscape.jpg

convert assets/poster_6.jpg \
  -gamma 1  +level 0,1200  \
  -morphology Distance Euclidean:4,180 -auto-level \
  -font FreeMono \
  -weight 900 \
  -fill black \
  \( -pointsize 200 -draw "rotate 7 gravity northwest text 350,400 '$TEXTTITLE'" \) \
  -fill black \
  \( -pointsize 100 -draw "rotate -25 gravity northwest text 150, 2320 '$TEXTSUBTITLE'" \) \
  -fill black \
  \( -pointsize 100 -draw "rotate 4 gravity northwest text
  500,1150 '$TEXTDATE'" \) \
  -fill black \
  \( -pointsize 100 -draw "rotate 2 gravity southeast text 540,1500 '$TEXTLOCATIONLONG'" \) \
  wave -2x0 \
  \( -pointsize 80 -draw "rotate 2 gravity southeast text 540,700 '$DESCRIPTION'" \) \
  output_poster.jpg
